Skip to main content
POST
/
v1
/
video
/
thumbnail
{
  "input": "https://example.com/video.mp4",
  "time": "00:00:05",
  "width": 640
}
curl -X POST https://api.ringbee.dev/v1/video/thumbnail \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "time=00:00:05" \
  -F "width=640"
{
  "id": "job_abc123",
  "status": "pending"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "time": "00:00:05",
  "width": 640
}
curl -X POST https://api.ringbee.dev/v1/video/thumbnail \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "time=00:00:05" \
  -F "width=640"
ParamTypeDescription
timestringTimestamp to extract frame from (HH:MM:SS)
widthintegerOutput image width in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

time
string

Timestamp to extract frame from (HH:MM:SS)

width
integer

Output image width in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"